/* P1_ANDBODY.C 910415 */

#include "stdarg.h"
#include "stdio.h"
#include "ctype.h"
#include "string.h"
#include "alloc.h"
#include "p1_scanner.h"
#include "p1_common.h"
#include "p1_parser.h"

int andbody_(fail_label)
char *fail_label;
{  int return_value;
   char num[13];

   return_value = SUCCESS;

	if (debug == 2) printf ("In andbody_() ...............\n");

/* reinitialize temporary storage variables */
	sca_temp = sca_temp_start;            /* SEE warning in p1_body.c */
	real_sca_temp = REAL_SCA_TEMP_START;  /* before modifying this code */
	ipar_temp = INT_PAR_TEMP_START;
	rpar_temp = REAL_PAR_TEMP_START;
	lpar_temp = log_par_temp_start;
   lipar_temp = LINT_PAR_TEMP_START;
   g_offset = g_offset_start;   /* added 880707 jlp */

   pc_itoa(linenum,num);
   print_opcode ("beg_of_stmt ", T_BOS, T_NONE, T_NONE);
   print_args (num,"0",NULL,NULL,NULL);

   if (token_type  == T_ANDIF)
     {token_type = get_token();
      return_value = andif_(fail_label);};

   if (token_type == T_ANDFOR)
     {token_type = get_token();
      return_value = andfor_(fail_label);};

	if (debug == 2)
		printf ("andbody_() returning %d...............\n",return_value);

   return(return_value);
}
