/* P1_CONVERT.C 910415 */
#include "p1_parser.h"
#include "stdlib.h"
/* ===========================================================================

   function name : atoi
   input	        : s		- string of character digits
   output	     : ---
   return value  : sign		- the integer value of character digits string

   global vars   :---

   description	  : This routine performs the translation from character digits
		             string to the integer value.

=========================================================================== */

void pc_itoa(int x, char s[])
/* x--integer to be converted            */
/* s--array to hold character digits     */
{
#ifdef _WIN32
	itoa(x,s,10);
#else
	sprintf(s,"%d",x);
#endif 
}

void pc_ultoa(unsigned long int x, char s[] )
/* x--integer to be converted            */
/* s--array to hold character digits     */
{
#ifdef _WIN32
	ultoa(x,s,10);
#else
	sprintf(s,"%lu",x);
#endif
}

