/* P1_ANDCONS.C 910415 */

#include "stdarg.h"
#include "stdio.h"
#include "ctype.h"
#include "string.h"
#include "alloc.h"
#include "p1_common.h"
#include "p1_parser.h"
#include "p1_scanner.h"

int andcons_()
{ int return_value;
  char *start_label;
  char *end_label;

  if(debug == 2) printf ("In and_cons()...................\n");

  start_label = make_label("AC$S", ++if_count);
  end_label = make_label("AC$E", if_count);

  print_opcode("andcons",T_ANDCONS,T_NONE, T_NONE);
  print_args(start_label,NULL,NULL,NULL,NULL);

  token_type = get_token();
  if((return_value = andbody_(end_label)) == FAIL)
      print_msg(ANDBODY_ERR,NULL);

  if(token_type == T_ENDANDCONS)
   {print_opcode("endandcons",T_ENDANDCONS,T_NONE,T_NONE);
    print_args(end_label,NULL,NULL,NULL,NULL);
    if ((token_type = get_token()) != T_EOS)
     {print_msg (EOS_ERR, token_buf);
      return_value = FAIL;}
    else
     token_type = get_token();
   }
  else return_value = FAIL;

  if(debug == 2) printf("andcons_() returning %d\n", return_value);

  return(return_value);
}
